Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoTimeCounter Class Reference

An eoStat that simply gives the user time since first generation It has to be tempatized by EOT because it must be an eoStat. More...

`#include <eoTimeCounter.h>`

Inheritance diagram for eoTimeCounter:

List of all members.

## Public Member Functions
virtual void | operator() ()
| simply stores the time spent in process in its value()
## Private Attributes
clock_t | utime

## Detailed Description

An eoStat that simply gives the user time since first generation It has to be tempatized by EOT because it must be an eoStat.

Definition at line 38 of file eoTimeCounter.h.

The documentation for this class was generated from the following file:

- eoTimeCounter.h